﻿using System;
using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Statistics;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            Random random = new Random(0);

            double[] scoreArray = DataGen.RandomNormal(random, 350, 85, 5);

            Population population = new Population(scoreArray);

            plot.Title($"평균 : {population.mean} +/- {population.stdErr}");

            plot.AddPopulation(population);

            plot.XAxis.Ticks(true);
            plot.XAxis.Grid(false);

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}